Loading...
Searching...
No Matches
context.h File Reference

Go to the source code of this file.

## Data Structures

struct | _FatOpContext

## Typedefs

typedef enum _FatDirection | FatDirection
typedef struct _FatOpContext | FatOpContext

## Enumerations

enum | _FatDirection { FAT_DIR_FORWARD , FAT_DIR_BACKWARD }

## Functions

int | fat_op_context_create_initial_fat (FatOpContext *ctx)
void | fat_op_context_destroy (FatOpContext *ctx)
FatCluster | fat_op_context_map_cluster (const FatOpContext *ctx, FatCluster clst)
FatFragment | fat_op_context_map_fragment (const FatOpContext *ctx, FatFragment frag)
FatCluster | fat_op_context_map_static_cluster (const FatOpContext *ctx, FatCluster clst)
FatFragment | fat_op_context_map_static_fragment (const FatOpContext *ctx, FatFragment frag)
FatOpContext * | fat_op_context_new (PedFileSystem *new_fs, PedFileSystem *old_fs)

## Typedef Documentation

## FatDirection

typedef enum _FatDirection FatDirection

## FatOpContext

typedef struct _FatOpContext FatOpContext

## Enumeration Type Documentation

## _FatDirection

enum _FatDirection

Enumerator
FAT_DIR_FORWARD |
FAT_DIR_BACKWARD |

## Function Documentation

## fat_op_context_create_initial_fat()

int fat_op_context_create_initial_fat | ( | FatOpContext * | ctx | ) |

extern

## fat_op_context_destroy()

void fat_op_context_destroy | ( | FatOpContext * | ctx | ) |

extern

## fat_op_context_map_cluster()

FatCluster fat_op_context_map_cluster | ( | const FatOpContext * | ctx,
|  | FatCluster | clst )

extern

## fat_op_context_map_fragment()

FatFragment fat_op_context_map_fragment | ( | const FatOpContext * | ctx,
|  | FatFragment | frag )

extern

## fat_op_context_map_static_cluster()

FatCluster fat_op_context_map_static_cluster | ( | const FatOpContext * | ctx,
|  | FatCluster | clst )

extern

## fat_op_context_map_static_fragment()

FatFragment fat_op_context_map_static_fragment | ( | const FatOpContext * | ctx,
|  | FatFragment | frag )

extern

## fat_op_context_new()

FatOpContext * fat_op_context_new | ( | PedFileSystem * | new_fs,
|  | PedFileSystem * | old_fs )

extern